RKRNG(4)

NAME
rkrng - Rockchip random number generator

SYNOPSIS
rkrng* at fdt?

DESCRIPTION
The rkrng driver provides support for the random number generator found on the Rockchip SoCs.

It feeds the random subsystem's entropy pool with 256 bits of random data every second.

SEE ALSO
intro(4), random(4), arc4random(9)

HISTORY
The rkrng driver first appeared in OpenBSD 6.7.

AUTHORS
-nosplit The rkrng driver was written by Mark Kettenis <kettenis@openbsd.org>.